using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Customers")]
	public partial class Customer 
	{
	
		[Id("CustomerID",IsDbGenerated=false)]
		public String CustomerId { get;set; }
 
		[Column("ContactTitle")]
		public String ContactTitle { get;set; }
		[Column("CompanyName")]
		public String CompanyName { get;set; }
		[Column("Region")]
		public String Region { get;set; }
		[Column("Address")]
		public String Address { get;set; }
		[Column("Phone")]
		public String Phone { get;set; }
		[Column("Fax")]
		public String Fax { get;set; }
		[Column("ContactName")]
		public String ContactName { get;set; }
		[Column("Country")]
		public String Country { get;set; }
		[Column("PostalCode")]
		public String PostalCode { get;set; }
		[Column("City")]
		public String City { get;set; }
 
 
		[OneToMany(ThisKey="CustomerId",OtherKey="CustomerId")]
		public IList<CustomerCustomerDemo> CustomerCustomerDemos { get;set; }
		[OneToMany(ThisKey="CustomerId",OtherKey="CustomerId")]
		public IList<Order> Orders { get;set; }
 
	}
}
