using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Shippers")]
	public partial class Shipper 
	{
	
		[Id("ShipperID",IsDbGenerated=true)]
		public Int32 ShipperId { get;set; }
 
		[Column("Phone")]
		public String Phone { get;set; }
		[Column("CompanyName")]
		public String CompanyName { get;set; }
 
 
		[OneToMany(ThisKey="ShipperId",OtherKey="ShipVia")]
		public IList<Order> Orders { get;set; }
 
	}
}
