using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Invoices",Readonly=true)]
	public partial class Invoice 
	{
		[Column("ShipPostalCode")]
		public String ShipPostalCode { get;set; }
		[Column("Address")]
		public String Address { get;set; }
		[Column("CustomerID")]
		public String CustomerId { get;set; }
		[Column("ShipCity")]
		public String ShipCity { get;set; }
		[Column("RequiredDate")]
		public DateTime RequiredDate { get;set; }
		[Column("ProductID")]
		public Int32 ProductId { get;set; }
		[Column("ShipCountry")]
		public String ShipCountry { get;set; }
		[Column("ProductName")]
		public String ProductName { get;set; }
		[Column("Country")]
		public String Country { get;set; }
		[Column("OrderID")]
		public Int32 OrderId { get;set; }
		[Column("ShippedDate")]
		public DateTime ShippedDate { get;set; }
		[Column("ShipperName")]
		public String ShipperName { get;set; }
		[Column("Region")]
		public String Region { get;set; }
		[Column("City")]
		public String City { get;set; }
		[Column("Discount")]
		public Single Discount { get;set; }
		[Column("ShipRegion")]
		public String ShipRegion { get;set; }
		[Column("Freight")]
		public Decimal Freight { get;set; }
		[Column("Quantity")]
		public Int16 Quantity { get;set; }
		[Column("UnitPrice")]
		public Decimal UnitPrice { get;set; }
		[Column("CustomerName")]
		public String CustomerName { get;set; }
		[Column("ShipAddress")]
		public String ShipAddress { get;set; }
		[Column("OrderDate")]
		public DateTime OrderDate { get;set; }
		[Column("PostalCode")]
		public String PostalCode { get;set; }
		[Column("ExtendedPrice")]
		public Decimal ExtendedPrice { get;set; }
		[Column("Salesperson")]
		public String Salesperson { get;set; }
		[Column("ShipName")]
		public String ShipName { get;set; }
 
	}
}
